Subject: bug#21428: 24.5; Crash of emacs on OS X, installed via homebrew cask

From: Rainer M Krug <[email-masked]>
Date: Fri, 23 Oct 2015 11:45:16 +0200

martin rudalics <[email-masked]> writes:

>> Martin, any insights?
>
> No.  Obviously
>
> |         neww = -1715077359
> |         newh = 32767
>
> look awfully wrong but they have been probably not assigned yet.  What
> is in nsterm.m on line 5970?

This is the first time I use gdb - so please help me here. If you tell
me how I can get this value, I can check it out in the crashed session.

>
> This is an area where Anders is just working now.  I'll CC him.  In
> any case, Rainer will have to test this with Emacs 25 if Anders has
> fixed it.

I am using 25:

,----
| : commit 01d2af9c7c9d0720022f027838d17123ca2c9cc2
| : Author: Jürgen Hötzel <[email-masked]>
| : Date:   Thu Oct 22 09:09:27 2015 +0200
| : 
| :     Further fix for proper locale handling in tramp-gvfs.el
| :     
| :     * lisp/net/tramp-gvfs.el (tramp-gvfs-handle-file-attributes):
| :     Just suppress LC_MESSAGES locale category settings.
`----

Rainer

>
> martin
>
>
> FTR: Rainer's full backtrace was
>
> ,----
> | (gdb) bt
> | #0 0x0000000100347ccc in -[EmacsView updateFrameSize:]
> | (self=0x10106e9b0, _cmd=0x1003ea975, delay=1 '\001') at
> | nsterm.m:5970
> | #1 0x0000000100348c05 in -[EmacsView windowDidResize:]
> | (self=0x10106e9b0, _cmd=0x7fff8dcc673d, notification=0x1411ed2e0) at
> | nsterm.m:6124
> | #2  0x00007fff94b73a0c in ?? () from /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
> | #3  0x00007fff5fbf7d60 in ?? ()
> | #4  0x00007fff94b7399f in ?? () from /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
> | #5  0x0000000000000000 in ?? ()
> | (gdb) bt full
> | #0 0x0000000100347ccc in -[EmacsView updateFrameSize:]
> | (self=0x10106e9b0, _cmd=0x1003ea975, delay=1 '\001') at
> | nsterm.m:5970
> |         window = 0x10106f320
> |         wr = {origin = {x = -608, y = 912}, size = {width = 2558, height = 1461}}
> |         extra = 0
> |         oldc = 315
> |         oldr = 77
> |         oldw = 2560
> |         oldh = 1440
> |         neww = -1715077359
> |         newh = 32767
> | #1 0x0000000100348c05 in -[EmacsView windowDidResize:]
> | (self=0x10106e9b0, _cmd=0x7fff8dcc673d, notification=0x1411ed2e0) at
> | nsterm.m:6124
> | No locals.
> | #2  0x00007fff94b73a0c in ?? () from /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
> | No symbol table info available.
> | #3  0x00007fff5fbf7d60 in ?? ()
> | No symbol table info available.
> | #4  0x00007fff94b7399f in ?? () from /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
> | No symbol table info available.
> | #5  0x0000000000000000 in ?? ()
> | No symbol table info available.
> | (gdb) p emacsframe
> | [New Thread 0x1687 of process 77890]
> | [New Thread 0x1d8b of process 77890]
> | $528 = (struct frame *) 0x13d8001003fc013
> | (gdb)
> `----

-- 
Rainer M. Krug, PhD (Conservation Ecology, SUN), MSc (Conservation Biology, UCT), Dipl. Phys. (Germany)

Centre of Excellence for Invasion Biology
Stellenbosch University
South Africa

Tel :       +33 - (0)9 53 10 27 44
Cell:       +33 - (0)6 85 62 59 98
Fax :       +33 - (0)9 58 10 27 44

Fax (D):    +49 - (0)3 21 21 25 22 44

email:      [email-masked]

Skype:      RMkrug

PGP: 0x0F52F982